
include "vehicle.gs"
include "library.gs"

/*
   NumberIt example script
  
   Author: Dave Renshaw (eldavo)

   Copyright Dave Renshaw 2005. All rights reserved.

 */

class NIExample isclass Vehicle
{
    Library numberit;

    void Init(void) {
        inherited();

        // Pick a running number if one hasn't already been set
        numberit = World.GetLibrary(GetAsset().LookupKUIDTable("NumberIt_library"));
        if (numberit) {
            GSObject[] objectParam = new GSObject[1];
            objectParam[0] = me;
            numberit.LibraryCall("SetRunningNumber", null, objectParam);
        }
    }
};